Subject: Re: bug#29838: 26.0; Elisp manual: describe standard-error sexps

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 Dec 2017 20:03:24 +0200

> Date: Sun, 24 Dec 2017 09:22:30 -0800 (PST)
> From: Drew Adams <[email-masked]>
> 
> Node `Standard Errors' says only this:
> 
>   ‘args-out-of-range’
>      The message is ‘Args out of range’.  This happens when trying to
>      access an element beyond the range of a sequence, buffer, or other
>      container-like object.  *Note Sequences Arrays Vectors::, and *Note
>      Text::.
> 
> Looking at the manual coverage of sequence etc. functions, you find
> information such as this:
>  
>   (elt [1 2 3 4] -1)
>      error→ Args out of range: [1 2 3 4], -1
> 
> But that doesn't help for understanding `(args-out-of-range 9 9)'.

Not sure what you want to explain and how.  The number of arguments
shown by the args-out-of-range error is not fixed (although in many
cases they are just 2), and their number and meaning are determined by
the calling application.  It's not something fixed that can be
described to match all the uses.